## xidle 20161031

=== Makefile ===
# $MirOS: X11/extras/xidle/Makefile,v 1.5 2013/07/29 13:36:05 tg Exp $
# $OpenBSD: Makefile,v 1.4 2005/07/10 21:12:10 matthieu Exp $

PROG=		xidle
CFLAGS+=	-Wall
.if defined(X11LIBDIR) && !empty(X11LIBDIR)
LDADD+=		-L${X11LIBDIR}
.endif
LDADD+=		-lXss -lXext -lX11

.include <bsd.prog.mk>
