=== debian/changelog ===
xidle (20161031) unstable; urgency=low

  * Convert local packaging for inclusion in Debian proper
  * Use default, i.e. xz, compression
  * Bump Policy (no changes)
  * Use debhelper compat 10
  * Make pmake not add -Werror to CFLAGS

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 31 Oct 2016 16:04:01 +0100

xidle (20130729) wtf; urgency=low

  * Initial packaging

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 09 Jul 2015 20:43:11 +0200
