=== debian/control ===
Source: xidle
Section: x11
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper (>= 10), libxss-dev, pmake
Standards-Version: 3.9.8

Package: xidle
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: run program after inactivity or edge sensitive
 xidle runs a specific program after a certain amount of
 inactivity time, or when the mouse cursor is moved to an
 edge of the screen for a certain time, all of which is
 configurable. It is commonly used to run xlock.
