## xidle 20161031+nmu1

=== debian/changelog ===
xidle (20161031+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:28:48 +0800
