## xidle 20200802

=== Makefile ===
# $MirOS: X11/extras/xidle/Makefile,v 1.6 2020/08/02 21:43:24 tg Exp $
# $OpenBSD: Makefile,v 1.4 2005/07/10 21:12:10 matthieu Exp $

PROG=		xidle
SRCS=		${PROG}.c ${MBSDPORT_SRCS}
CFLAGS+=	-Wall -Wextra
.if defined(X11LIBDIR) && !empty(X11LIBDIR)
LDADD+=		-L${X11LIBDIR}
.endif
LDADD+=		-lXss -lXext -lX11

.include <bsd.prog.mk>
