=== debian/changelog ===
xidle (20200802) unstable; urgency=medium

  * Update from MirBSD CVS
    - add strtonum(3)
  * Modernise packaging:
    - debhelper 13
    - Policy 4.5.0.2
    - R³:no
    - grudgingly switch to dh7-style packaging
  * Switch to latest bmake, which broke backwards compatibility

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 02 Aug 2020 23:45:07 +0200
