=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: debhelper (>= 10), libxss-dev, pmake
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), bmake (>= 20200710-1~), libxss-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: xidle
 Architecture: any
